org.apache.felix.gogo.runtime

## Class CommandNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalArgumentException
        - - org.apache.felix.gogo.runtime.CommandNotFoundException

All Implemented Interfaces:
  Serializable

    public class CommandNotFoundException
    extends IllegalArgumentException

Thrown if an unknown command is entered into a shell or passed on the command line

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CommandNotFoundException(String command)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getCommand()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CommandNotFoundException

    public CommandNotFoundException(String command)

### Method Detail

#### getCommand

    public String getCommand()